// JavaScript Document

var iboxes = new Array();

//http://ejohn.org/projects/flexible-javascript-events/
function addEvent( obj, type, fn ) {
  if ( obj.attachEvent ) {
    obj['e'+type+fn] = fn;
    obj[type+fn] = function(){obj['e'+type+fn]( window.event );}
    obj.attachEvent( 'on'+type, obj[type+fn] );
  } else
    obj.addEventListener( type, fn, false );
}

function addLoadEvent(func) {
	var oldonload = window.onload;
	if (typeof window.onload != 'function') {
		window.onload = func;
	} else {
		window.onload = function() {
			oldonload();
			func();
		}
	}
}
function init(){
	if (document.getElementById) {
	// find form
		var f = document.getElementById('adminForm');
	// find updatebutton
	
		var objects = document.getElementById('adminForm').getElementsByTagName('input')
		for(var no=0;no<objects.length;no++){
				if (objects[no].type=='submit'){
					var b = no;
				}
		}
		document.getElementById('adminForm').getElementsByTagName('input')[b].setAttribute('onclick','javascript:document.getElementById(\'adminForm\').encoding = "multipart/form-data";')
	}
}

function setColor() {
	var eid = getiboxid(this.id);
	var selector = iboxes[eid].selector;
	var cssPropertyName = iboxes[eid].style;
	var value = this.value; 

	var cssRules;

	if (document.styleSheets) {
		for (var i = document.styleSheets.length - 1; i >= 0; i--) {
			var rules;
			if (document.styleSheets[i].cssRules) {
				rules = document.styleSheets[i].cssRules;
			} else if (document.styleSheets[i].rules) {
				rules = document.styleSheets[i].rules;
			}
			if (rules) {
				for (var j = rules.length - 1; j >= 0; j--) {
					if ( rules[j].selectorText == selector) {
						var oStyle = rules[j].style;
						oStyle.removeProperty(cssPropertyName);
						oStyle.setProperty(cssPropertyName,value,'');
					}
				}
			}
		}
	}
}

//iBox Class
function IboxElement(){
	this.selector = "";
	this.style = "";
	this.element = "";
}

//create a new ibox
function newIbox(selector, style, element){
	var ibox = new IboxElement();
	
	ibox.selector = selector;
	ibox.style = style;
	ibox.element = element;
	
	return ibox;
}

//add ibox data
function addIbox (element, selector, style){
	iboxes.push (newIbox (selector, style, element));
}

function getiboxid(element){
	for (var i=0; i<iboxes.length; i++){
		if (iboxes[i].element == element)
			return i;
	}
}


addLoadEvent(init);
